"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
class BaseTransformStream extends stream_1.Transform {
    constructor({ transform, flush }) {
        super({
            transform: (chunk, _, done) => {
                transform(chunk);
                done();
            },
            flush: (done) => __awaiter(this, void 0, void 0, function* () {
                yield flush();
                done();
            })
        });
    }
}
exports.default = BaseTransformStream;
//# sourceMappingURL=BaseTransformStream.node.js.map