/**
 * Divides a provided integer (`value`) into `partsCount` whole parts.
 * The values of all parts may differ by at most 1 (when the number can
 * not be evenly divided).
 *
 * Uses "truncating integer division"
 * See: https://math.stackexchange.com/questions/2975936/split-a-number-into-n-numbers
 *
 * @param value The integer to be partioned
 * @param partsCount The number of parts
 * @return A tuple of two sets, each one a tuple of [count, value]
 */
declare const divideIntegerIntoWholeParts: (value: number, partsCount: number) => [[number, number], [number, number]];
export default divideIntegerIntoWholeParts;
