/**
 * Evenly distributes two sets of integers with the goal of
 * ensuring the highest distance between each occurence
 * of the same integer.
 *
 * @param setA A virtual set of integers all of value "a", expressed as a tuple of [count, value]
 * @param setB A virtual set of integers all of value "b", expressed as a tuple of [count, value]
 * @param lookupIndex
 *  An index at which to retrieve a value from a (virtual) set
 *  in which values "a" and "b" are evenly distributed.
 */
declare const evenlyDistributeSets: (setA: [number, number], setB: [number, number], lookupIndex: number) => number;
export default evenlyDistributeSets;
