/**
 * Converts a W3C `ReadableStreamDefaultReader` into a `Deno.Reader`.
 *
 * Implements a constrained buffer to handle backpressure.
 *
 * @param reader The `ReadableStreamDefaultReader` to read from.
 * @param contentLength The total number of bytes in the request to be
 *    passed through the reader. Used to allocate required buffer memory.
 */
interface IDenoReader {
    read: (p: Uint8Array) => Promise<number | null>;
}
declare const readerToDenoReader: (reader: ReadableStreamDefaultReader<Uint8Array>, contentLength: number) => IDenoReader;
export default readerToDenoReader;
